---
title: CSSPerspective.length
slug: Web/API/CSSPerspective/length
tags:
  - API
  - CSS Typed Object Model API
  - CSSPerspective
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Property
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>length</code></strong> property of the {{domxref("CSSPerspective")}} interface sets the distance from z=0.</p>

<p>It is used to apply a perspective transform to the element and its content. If the value is 0 or a negative number, no perspective transform is applied.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>length</var> = CSSPerspective.length;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("CSSNumericValue")}}</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssperspective-length','length')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSPerspective.length")}}</p>
